Update alacritty config

This commit is contained in:
Akemi Izuko 2022-10-15 14:15:39 -06:00
parent f25136f471
commit bf06abbda2
No known key found for this signature in database
GPG key ID: 905D444F6A5E4BE4
4 changed files with 19 additions and 32 deletions

View file

@ -21,8 +21,6 @@ font:
x: 0 x: 0
y: 1 y: 1
use_thin_strokes: true
draw_bold_text_with_bright_colors: false draw_bold_text_with_bright_colors: false
# Colors (Gruvbox dark) # Colors (Gruvbox dark)
@ -40,9 +38,6 @@ colors:
focused_match: focused_match:
foreground: CellBackground foreground: CellBackground
background: CellForeground background: CellForeground
bar:
background: '#c5c8c6'
foreground: '#1d1f21'
selection: selection:
text: '#000000' text: '#000000'
@ -55,33 +50,21 @@ import:
# Window GUI # Window GUI
#========================== #==========================
window: window:
title: JoJo
position:
x: 536
y: 164
dimensions:
columns: 134 # 16 size font
lines: 36
#columns: 150 # 14 size font
#lines: 40
padding: padding:
x: 4 x: 4
y: 0 y: 0
decorations: None decorations: None
startup_mode: Windowed startup_mode: Windowed
dynamic_title: false
opacity: 1 opacity: 1
title: Alacritty
dynamic_title: true
scrolling: scrolling:
history: 10000 history: 10000
multiplier: 3 multiplier: 1
bell: bell:
duration: 0 duration: 0 # Disable
color: '#ffff99'
command: None command: None
selection: selection:
@ -93,6 +76,7 @@ cursor:
blinking: Always blinking: Always
vi_mode_style: Block vi_mode_style: Block
blink_interval: 400 blink_interval: 400
blink_timeout: 0 # Stop cursor from freezing
unfocused_hollow: true unfocused_hollow: true
thickness: 0.15 thickness: 0.15

View file

@ -29,6 +29,10 @@ declare -i a=2 b=3 # Multiple on the same line are fine
(( a = 4 + b )) # Spacing is optional, same as above (( a = 4 + b )) # Spacing is optional, same as above
declare -i c=$((a**b + 4)) # c == 7**3 + 4 == 347 declare -i c=$((a**b + 4)) # c == 7**3 + 4 == 347
declare -ia arr=(0 1 2 3)
(( arr[a] = 3 )) # Array indexing also no longer needs $
(( arr[100] = 3 )) # Array is acc an integer hashmap, so over-indexing works
``` ```
## Using numbers ## Using numbers

View file

@ -110,10 +110,8 @@ main() {
exit 0 exit 0
fi fi
if [[ "$1" == "install" ]]; then install_web_packages
install_web_packages install_cargo_packages
install_cargo_packages
fi
printf 'Done\n' printf 'Done\n'
} }

View file

@ -8,7 +8,7 @@
declare -r ADJUST="$1" declare -r ADJUST="$1"
declare -r NOTIFY_SOUND="$2" declare -r NOTIFY_SOUND="$2"
declare -r MAX_VOLUME="100" declare -ir MAX_VOLUME=100
set_volume() { set_volume() {
if ! pactl set-sink-volume @DEFAULT_SINK@ "${1}%"; then if ! pactl set-sink-volume @DEFAULT_SINK@ "${1}%"; then
@ -25,7 +25,7 @@ play_notify_sound() {
exit 1 exit 1
fi fi
if command -v ffmpeg &>/dev/null; then if command -v ffplay &>/dev/null; then
ffplay -nodisp -autoexit -v error "$1" ffplay -nodisp -autoexit -v error "$1"
elif command -v afplay &>/dev/null; then elif command -v afplay &>/dev/null; then
afplay "$1" afplay "$1"
@ -44,15 +44,16 @@ readonly curr_volume=$(pactl get-sink-volume @DEFAULT_SINK@ | awk '
if ! [[ "$curr_volume" =~ ^[0-9]+$ ]]; then if ! [[ "$curr_volume" =~ ^[0-9]+$ ]]; then
printf "Failed to find default sink's volume: %s\n" "$curr_volume" >&2 printf "Failed to find default sink's volume: %s\n" "$curr_volume" >&2
exit 1
fi fi
declare -ir new_volume=$(($curr_volume + $ADJUST)) declare -ir new_volume=$((curr_volume + ADJUST))
printf "Changing volumes from %d -> %d\n" "$curr_volume" "$new_volume" >&2 printf "Changing volumes from %d -> %d\n" "$curr_volume" "$new_volume" >&2
if [[ "$new_volume" -gt "$MAX_VOLUME" ]]; then if [[ $new_volume -gt $MAX_VOLUME ]]; then
set_volume "$MAX_VOLUME" set_volume $MAX_VOLUME
elif [[ "$new_volume" -lt "0" ]]; then elif [[ $new_volume -lt 0 ]]; then
set_volume "0" set_volume 0
else else
set_volume "$new_volume" set_volume $new_volume
fi fi